<?php
//Setup theme constant and default data
$theme_obj = wp_get_theme('kingo');

define("BOOKINGO_THEMENAME", $theme_obj['Name']);
if (!defined('BOOKINGO_THEMEDEMO'))
{
	define("BOOKINGO_THEMEDEMO", false);
}
define("BOOKINGO_SHORTNAME", "pp");
define("BOOKINGO_THEMEVERSION", $theme_obj['Version']);
define("BOOKINGO_THEMEDEMOURL", $theme_obj['ThemeURI']);

define("THEMEGOODS_API", 'https://license.themegoods.com/manager/wp-json/envato');
define("THEMEGOODS_PURCHASE_URL", 'https://1.envato.market/rozPG');

if (!defined('BOOKINGO_THEMEDATEFORMAT'))
{
	define("BOOKINGO_THEMEDATEFORMAT", get_option('date_format'));
}

if (!defined('BOOKINGO_THEMETIMEFORMAT'))
{
	define("BOOKINGO_THEMETIMEFORMAT", get_option('time_format'));
}

define("ENVATOITEMID", 23385668);

//Get default WP uploads folder
$wp_upload_arr = wp_upload_dir();
define("BOOKINGO_THEMEUPLOAD", $wp_upload_arr['basedir']."/".strtolower(sanitize_title(BOOKINGO_THEMENAME))."/");
define("BOOKINGO_THEMEUPLOADURL", $wp_upload_arr['baseurl']."/".strtolower(sanitize_title(BOOKINGO_THEMENAME))."/");

if(!is_dir(BOOKINGO_THEMEUPLOAD))
{
	wp_mkdir_p(BOOKINGO_THEMEUPLOAD);
}

/**
*  Begin Global variables functions
*/

//Get default WordPress post variable
function bookingo_get_wp_post() {
	global $post;
	return $post;
}

//Get default WordPress file system variable
function bookingo_get_wp_filesystem() {
	require_once(ABSPATH . 'wp-admin/includes/file.php');
	WP_Filesystem();
	global $wp_filesystem;
	return $wp_filesystem;
}

//Get default WordPress wpdb variable
function bookingo_get_wpdb() {
	global $wpdb;
	return $wpdb;
}

//Get default WordPress wp_query variable
function bookingo_get_wp_query() {
	global $wp_query;
	return $wp_query;
}

//Get default WordPress customize variable
function bookingo_get_wp_customize() {
	global $wp_customize;
	return $wp_customize;
}

//Get default WordPress current screen variable
function bookingo_get_current_screen() {
	global $current_screen;
	return $current_screen;
}

//Get default WordPress paged variable
function bookingo_get_paged() {
	global $paged;
	return $paged;
}

//Get default WordPress registered widgets variable
function bookingo_get_registered_widget_controls() {
	global $wp_registered_widget_controls;
	return $wp_registered_widget_controls;
}

//Get default WordPress registered sidebars variable
function bookingo_get_registered_sidebars() {
	global $wp_registered_sidebars;
	return $wp_registered_sidebars;
}

//Get default Woocommerce variable
function bookingo_get_woocommerce() {
	global $woocommerce;
	return $woocommerce;
}

//Get all google font usages in customizer
function bookingo_get_google_fonts() {
	$bookingo_google_fonts = array('tg_body_font', 'tg_header_font', 'tg_menu_font', 'tg_sidemenu_font', 'tg_sidebar_title_font', 'tg_button_font');
	
	global $bookingo_google_fonts;
	return $bookingo_google_fonts;
}

//Get menu transparent variable
function bookingo_get_page_menu_transparent() {
	global $bookingo_page_menu_transparent;
	return $bookingo_page_menu_transparent;
}

//Set menu transparent variable
function bookingo_set_page_menu_transparent($new_value = '') {
	global $bookingo_page_menu_transparent;
	$bookingo_page_menu_transparent = $new_value;
}

//Get no header checker variable
function bookingo_get_is_no_header() {
	global $bookingo_is_no_header;
	return $bookingo_is_no_header;
}

//Get deafult theme screen CSS class
function bookingo_get_screen_class() {
	global $bookingo_screen_class;
	return $bookingo_screen_class;
}

//Set deafult theme screen CSS class
function bookingo_set_screen_class($new_value = '') {
	global $bookingo_screen_class;
	$bookingo_screen_class = $new_value;
}

//Get theme homepage style
function bookingo_get_homepage_style() {
	global $bookingo_homepage_style;
	return $bookingo_homepage_style;
}

//Set theme homepage style
function bookingo_set_homepage_style($new_value = '') {
	global $bookingo_homepage_style;
	$bookingo_homepage_style = $new_value;
}

//Get page gallery ID
function bookingo_get_page_gallery_id() {
	global $bookingo_page_gallery_id;
	return $bookingo_page_gallery_id;
}

//Get default theme options variable
function bookingo_get_options() {
	global $bookingo_options;
	return $bookingo_options;
}

//Set default theme options variable
function bookingo_set_options($new_value = '') {
	global $bookingo_options;
	$bookingo_options = $new_value;
}

//Get top bar setting
function bookingo_get_topbar() {
	global $bookingo_topbar;
	return $bookingo_topbar;
}

//Set top bar setting
function bookingo_set_topbar($new_value = '') {
	global $bookingo_topbar;
	$bookingo_topbar = $new_value;
}

//Get is hide title option
function bookingo_get_hide_title() {
	global $bookingo_hide_title;
	return $bookingo_hide_title;
}

//Set is hide title option
function bookingo_set_hide_title($new_value = '') {
	global $bookingo_hide_title;
	$bookingo_hide_title = $new_value;
}

//Get theme page content CSS class
function bookingo_get_page_content_class() {
	global $bookingo_page_content_class;
	return $bookingo_page_content_class;
}

//Set theme page content CSS class
function bookingo_set_page_content_class($new_value = '') {
	global $bookingo_page_content_class;
	$bookingo_page_content_class = $new_value;
}

//Get Kirki global variable
function bookingo_get_kirki() {
	global $kirki;
	return $kirki;
}

//Get admin theme global variable
function bookingo_get_wp_admin_css_colors() {
	global $_wp_admin_css_colors;
	return $_wp_admin_css_colors;
}

//Get theme plugins
function bookingo_get_plugins() {
	global $bookingo_tgm_plugins;
	return $bookingo_tgm_plugins;
}

//Set theme plugins
function bookingo_set_plugins($new_value = '') {
	global $bookingo_tgm_plugins;
	$bookingo_tgm_plugins = $new_value;
}

$is_verified_envato_purchase_code = false;

//Get verified purchase code data
$pp_verified_envato_bookingo = get_option("pp_verified_envato_bookingo");
if(!empty($pp_verified_envato_bookingo))
{
	$is_verified_envato_purchase_code = true;
}

$is_imported_elementor_templates_bookingo = false;
$pp_imported_elementor_templates_bookingo = get_option("pp_imported_elementor_templates_bookingo");
if(!empty($pp_imported_elementor_templates_bookingo))
{
	$is_imported_elementor_templates_bookingo = true;
}
?>